System requirements for Endpoint Protection 12.1.6 MP7 - MP10

book

Article ID: 150524

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

 

Resolution

In general, the system requirements for Symantec Endpoint Protection Manager and the Symantec Endpoint Protection clients are the same as those of the operating systems on which they are supported.

Symantec Endpoint Protection Manager system requirements

Note:  This Symantec Endpoint Protection Manager version manages 11.0.x and 12.0.x clients, regardless of the client operating system. However, support for Symantec Endpoint Protection 11.0.x and 12.0.x ended January 5, 2015. For more information, see Symantec Endpoint Protection 11.0.x End of Support Life.

Component

Requirements

Processor

Intel Pentium Dual-Core or equivalent minimum

Note: Intel Itanium IA-64 processors are not supported.

Physical RAM

2 GB RAM available minimum; 4 GB or more available recommended

Note: Your Symantec Endpoint Protection Manager server might require additional RAM depending on the RAM requirements of other applications that are already installed.

Hard drive

16 GB available minimum (100 GB recommended) for the management server

40 GB available minimum (200 GB recommended) for the management server and a locally installed database

Display

1024 x 768 or larger

Operating system (desktop)

  • Windows 7 (32-bit, 64-bit; RTM and SP1; all editions except Starter and Home)
  • Windows 8 (32-bit, 64-bit)
  • Windows 8.1 (32-bit, 64-bit)
  • Windows 8.1 update for April, 2014 (32-bit, 64-bit)
  • Windows 8.1 update for August, 2014 (32-bit, 64-bit)

Note: Windows 7 allows only 20 concurrent connections. Installing Symantec Endpoint Protection Manager on Windows 7 is only recommended for smaller environments. See Best practices guide for installing Endpoint Protection Manager on Windows 7 or XP for configuration recommendations.

Operating system (server)

  • Windows Server 2008 (32-bit, 64-bit; RTM, RTM, SP1 and SP2)
  • Windows Small Business Server 2008 (64-bit)
  • Windows Essential Business Server 2008 (64-bit)
  • Windows Small Business Server 2011 (64-bit)
  • Windows Server 2012 
  • Windows Server 2012 R2
  • Windows Server 2012 R2 update for April, 2014
  • Windows Server 2012 R2 update for August, 2014
  • Windows Server 2016 (added for MP6)
  • Windows Server 2019 (added as of MP9)

Note: Windows Server Core edition is not supported. Windows Server Core does not include Internet Explorer, which Symantec Endpoint Protection Manager requires to work.

Web browser

The following browsers are supported for web console access to Symantec Endpoint Protection Manager and for viewing the Symantec Endpoint Protection Manager Help:

  • Microsoft Internet Explorer 11
  • Mozilla Firefox 5.x through 50.x (MP7), through 53.x (MP8), through 55.x (MP9)
  • Google Chrome 55.0.x (MP7), 58.0.x (MP8), 61.x (MP9)

Database

The Symantec Endpoint Protection Manager includes an embedded database. You may instead choose to use a database from one of the following versions of Microsoft SQL Server:

  • SQL Server 2005, SP4
  • SQL Server 2008, RTM - SP4
  • SQL Server 2008 R2, RTM - SP3
  • SQL Server 2012, RTM - SP3; 
    SQL Server 2012 SP4 (added for MP10)
  • SQL Server 2014, RTM - SP2
    SQL Server 2014 SP3 (added for MP10)
  • SQL Server 2016

Note: The SQL Server Express Edition database is not supported.

Note: If Symantec Endpoint Protection uses a SQL Server database and your environment only uses TLS 1.2, ensure that SQL Server supports TLS 1.2. You may need to patch SQL Server. This recommendation applies to SQL Server 2008, 2012, and 2014. 

For more information:

TLS 1.2 support for Microsoft SQL Server

Note: If you use a SQL Server database, you may need to make more disk space available. The amount and location of additional space depends on which drive SQL Server uses, database maintenance requirements, and other database settings.

See Supported virtual installations and virtualization products.

Symantec Endpoint Protection client for Windows system requirements

Component

Requirements

Processor

  • 32-bit processor: 1 GHz Intel Pentium III or equivalent minimum (Intel Pentium 4 or equivalent recommended)
    Note: Intel Pentium 4 or equivalent is required for 12.1.6 MP9 and later.
  • 64-bit processor: 2 GHz Pentium 4 with x86-64 support or equivalent minimum

    Note: Itanium processors are not supported.

Physical RAM

512 MB (1 GB recommended) or higher if required by the operating system 

Hard drive

1.8 GB of available hard disk space for the installation; additional space is required for content and logs

Note: Space requirements are based on NTFS file systems. 

Display

800 x 600 or larger

Operating system (desktop)

See Symantec Endpoint Protection client for Windows Embedded system requirements.

  • Windows XP Home or Professional (32-bit, SP3; 64-bit, SP2)
  • Windows XP Embedded (SP3)
  • Windows Vista (32-bit, 64-bit)
  • Windows 7 (32-bit, 64-bit; RTM and SP1)
  • Windows Embedded 7 Standard, POSReady, and Enterprise (32-bit and 64-bit)
  • Windows 8 (32-bit, 64-bit)
  • Windows Embedded 8 Standard (32-bit and 64-bit)
  • Windows 8.1 (32-bit, 64-bit), including Windows To Go
  • Windows 8.1 update for April 2014 (32-bit, 64-bit)
  • Windows 8.1 update for August 2014 (32-bit, 64-bit)
  • Windows Embedded 8.1 Pro, Industry Pro, Industry Enterprise (32-bit and 64-bit)
  • Windows 10 RTM (32-bit, 64-bit)
  • Windows 10 November Update (version 1511) (32-bit, 64-bit)
  • Windows 10 Anniversary Update (version 1607) (basic compatibility*) (32-bit, 64-bit)
  • Windows 10 Creators Update (version 1703) (basic compatibility*) (32-bit, 64-bit)
  • Windows 10 Fall Creators Update (version 1709) (added for MP9; basic compatibility*) (32-bit, 64-bit)
  • Windows 10 April 2018 Update (version 1803) (added for MP9; basic compatibility*) (32-bit, 64-bit)

* See Endpoint Protection support for Windows 10 updates and Windows Server 2016 / Server 2019 for important details on basic compatibility.

Operating system (server)

  • Windows Server 2003 (32-bit, 64-bit; R2, SP1 or later)
  • Windows Small Business Server 2003 (32-bit)
  • Windows Server 2008 (32-bit, 64-bit; RTM, R2, SP1, and SP2)
  • Windows Small Business Server 2008 (64-bit)
  • Windows Essential Business Server 2008 (64-bit)
  • Windows Small Business Server 2011 (64-bit)
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2012 R2 update for April 2014
  • Windows Server 2012 R2 update for August 2014
  • Windows Server 2016 (added as of MP6)(basic compatibility*)
  • Windows Server 2019 (added as of MP9) (basic compatibility*)

* See Endpoint Protection support for Windows 10 updates and Windows Server 2016 / Server 2019 for important details on basic compatibility.

Browser Intrusion Prevention

Browser Intrusion Prevention support is based on the version of the Client Intrusion Detection System (CIDS) engine.

See Supported browsers for Browser Intrusion Prevention in Endpoint Protection.

See Supported virtual installations and virtualization products.

Symantec Endpoint Protection client for Windows Embedded system requirements

Component

Requirements

Processor

1 GHz Intel Pentium

Physical RAM

256 MB

Hard drive

450 MB of available hard disk space

Embedded operating system

  • Windows Embedded Standard (WES) 2009 (32-bit, SP3)
  • Windows Embedded POSReady 2009 (32-bit, SP3)
  • Windows Embedded Point of Service (WEPOS) (32-bit, SP3)
  • Windows Embedded Standard 7 (32-bit and 64-bit)
  • Windows Embedded POSReady 7 (32-bit and 64-bit)
  • Windows Embedded Enterprise 7 (32-bit and 64-bit)
  • Windows Embedded 8 Standard (32-bit and 64-bit)
  • Windows Embedded 8.1 Industry Pro (32-bit and 64-bit)
  • Windows Embedded 8.1 Industry Enterprise (32-bit and 64-bit)
  • Windows Embedded 8.1 Pro (32-bit and 64-bit)

Required minimum components

  • Filter Manager (FltMgr.sys)
  • Performance Data Helper (pdh.dll)
  • Windows Installer Service
  • FBA: Driver Signing (applies only to XP-based Embedded)
  • WinLogon (applies only to XP-based Embedded)

Templates

  • Application Compatibility (Default)
  • Digital Signage
  • Industrial Automation
  • IE, Media Player, RDP
  • Set Top Box
  • Thin Client

The Minimum Configuration template is not supported.

The Enhanced Write Filter (EWF) and the Unified Write Filter (UWF) are not supported. The recommended write filter is the File Based Write Filter (FBWF) installed along with the Registry Filter.

See Symantec Endpoint Protection support for Windows Embedded.

See Supported virtual installations and virtualization products.

Symantec Endpoint Protection client for Mac system requirements

The Mac client was not updated for 12.1.6 MP10.

Component

Requirements

Processor

64-Bit Intel Core 2 Duo or later

Physical RAM

2 GB of RAM

Hard drive

500 MB of available hard disk space for the installation

Display

800 x 600

Operating system 

Mac OS X 10.8, 10.9, 10.10, 10.11, and macOS 10.12

Note: 12.1.6 MP9 is not supported on macOS 10.13.

Symantec Endpoint Protection client for Linux system requirements

The Linux client was not updated for 12.1.6 MP10.

Component

Requirements

Hardware 

  • Intel Pentium 4 (2 GHz) or higher processor
  • 1 GB of RAM
  • 7 GB of available hard disk space

Operating systems

  • Amazon Linux
  • CentOS 6U4, 6U5, 6U6, 6U9*, 7, 7U1, 7U2; 32-bit and 64-bit
  • Debian 6.0.5 Squeeze; Debian 8 Jessie (MP8); 32-bit and 64-bit
  • Fedora 16, 17; 32-bit and 64-bit
  • Novell Open Enterprise Server (OES) 2 SP2 and 2 SP3 running SUSE Linux Enterprise Server (SLES) 10 SP3; 32-bit and 64-bit
  • Novell Open Enterprise Server (OES) 11 and 11 SP1 running SUSE Linux Enterprise Server (SLES) 11 SP1 and SP2; 64-bit
  • Oracle Linux (OEL) 5U8, 5U9, 6U2, 6U4, 6U5; 64-bit
  • Red Hat Enterprise Linux Server (RHEL) 5U7 - 5U11, 6U2 - 6U8, 6U9*, 7 - 7.3; 32-bit and 64-bit
  • SUSE Linux Enterprise Server (SLES) 10 SP3, 10 SP4, 11 SP1 - 11 SP3; 32-bit and 64-bit
  • SUSE Linux Enterprise Desktop (SLED) 10 SP3, 10 SP4, 11 SP1 - 11 SP3; 32-bit and 64-bit
  • Ubuntu 11.10, 12.04, 12.04.02, 14.04, 16.04; 32-bit and 64-bit

* = Added for 12.1.6 MP9

For a list of supported operating system kernels, see Supported Linux kernels for Symantec Endpoint Protection.

Graphical desktop environments

You can use the following graphical desktop environments to view the Symantec Endpoint Protection for Linux client:

  • KDE
  • Gnome
  • Unity

Other environmental requirements

  • Oracle Java 1.5 or later; Java 7 or later recommended.
    This installation requires superuser privileges.
  • Unlimited Strength Java Cryptography Extension (JCE)
    You must install the Unlimited Strength Java Cryptography Extension policy files to match your version of Java. This installation requires superuser privileges. You can download the installation files under Additional Resources from the following Oracle website: http://www.oracle.com/technetwork/java/javase/downloads/
  • i686-based dependent packages on 64-bit computers
    Many of the executable files in the Linux client are 32-bit programs. For 64-bit computers, you must install the i686-based dependent packages before you install the Linux client. If  you have not already installed the i686-based dependent packages, you can  install them by command line. This installation requires superuser privileges, which the following commands demonstrate with sudo:
    • For Red Hat-based distributions: sudo yum install glibc.i686 libgcc.i686 libX11.i686
    • For Debian-based distributions: sudo apt-get install ia32-libs
    • For Ubuntu-based distributions: sudo apt-get install libx11-6:i386 libgcc1:i386 libc6:i386
  • Developer tools
    Auto-compile and the manual compile process for the Auto-Protect kernel module require that you install certain developer tools. These developer tools include gcc and the kernel source and header files. For details on what to install and how to install them for specific Linux versions, see Manually compile Auto-Protect kernel modules for Endpoint Protection for Linux.
  • XFS file systems that contain inode64 attributes are not supported.